> For the complete documentation index, see [llms.txt](https://docs.sigrex.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sigrex.io/api-reference/reference/signal-bots/prediction-bot.md).

# Prediction Bot

## GET /api/v2/bot/signal/prediction/market/{exchange}/{slug}

> Get prediction market by slug

```json
{"openapi":"3.0.0","info":{"title":"Sigrex API","version":"2.1.0"},"tags":[{"name":"prediction-bot"}],"servers":[{"url":"https://api.sigrex.io"}],"security":[{"ApiKey":[],"Signature":[],"Timestamp":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"api-key","description":"Your public API key"}},"schemas":{"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/api/v2/bot/signal/prediction/market/{exchange}/{slug}":{"get":{"summary":"Get prediction market by slug","tags":["prediction-bot"],"parameters":[{"in":"path","name":"exchange","required":true,"description":"Prediction market exchange","schema":{"type":"string"}},{"in":"path","name":"slug","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Prediction market data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PredictionMarket"}}}},"400":{"description":"Missing slug or invalid slug","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## GET /api/v2/bot/signal/prediction

> Get all prediction signal bots

```json
{"openapi":"3.0.0","info":{"title":"Sigrex API","version":"2.1.0"},"tags":[{"name":"prediction-bot"}],"servers":[{"url":"https://api.sigrex.io"}],"security":[{"ApiKey":[],"Signature":[],"Timestamp":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"api-key","description":"Your public API key"}},"schemas":{}},"paths":{"/api/v2/bot/signal/prediction":{"get":{"summary":"Get all prediction signal bots","tags":["prediction-bot"],"responses":{"200":{"description":"List of user's prediction signal bots","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PredictionSignalBot"}}}}}}}}}}
```

## POST /api/v2/bot/signal/prediction

> Create a new prediction signal bot

```json
{"openapi":"3.0.0","info":{"title":"Sigrex API","version":"2.1.0"},"tags":[{"name":"prediction-bot"}],"servers":[{"url":"https://api.sigrex.io"}],"security":[{"ApiKey":[],"Signature":[],"Timestamp":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"api-key","description":"Your public API key"}},"schemas":{"CreatePredictionSignalBotRequest":{"type":"object","required":["webhook_id","api_id","slug_from_signal","amount_from_signal"],"properties":{"name":{"type":"string","description":"The name of the bot max 255 characters"},"folder_id":{"type":"number","description":"The folder id of the bot"},"webhook_id":{"type":"number","description":"The id of a bot webhook"},"api_id":{"type":"number","description":"The id of a bot Prediction API key"},"slug_from_signal":{"type":"boolean","description":"Set to true to specify a market slug dynamically within the signal payload."},"url":{"type":"string","description":"The market url (required if slug_from_signal is false)"},"amount_from_signal":{"type":"boolean","description":"Set if amount is coming from signal"},"amount":{"type":"number","description":"The amount of the bot in USDC (if amount_from_signal is false)"},"delay":{"type":"number","description":"Set how often the bot will check for new signals. eg. 10 means 10 in 1 second"}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/api/v2/bot/signal/prediction":{"post":{"summary":"Create a new prediction signal bot","tags":["prediction-bot"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreatePredictionSignalBotRequest"}}}},"responses":{"201":{"description":"Bot created successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PredictionSignalBot"}}}},"400":{"description":"Missing required fields, invalid data, or limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"API key or webhook not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## GET /api/v2/bot/signal/prediction/total

> Get the total number of Prediction signal bots

```json
{"openapi":"3.0.0","info":{"title":"Sigrex API","version":"2.1.0"},"tags":[{"name":"prediction-bot"}],"servers":[{"url":"https://api.sigrex.io"}],"security":[{"ApiKey":[],"Signature":[],"Timestamp":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"api-key","description":"Your public API key"}}},"paths":{"/api/v2/bot/signal/prediction/total":{"get":{"summary":"Get the total number of Prediction signal bots","tags":["prediction-bot"],"responses":{"200":{"description":"Total number of Prediction signal bots","content":{"application/json":{"schema":{"type":"object","properties":{"total":{"type":"number"}}}}}}}}}}}
```

## GET /api/v2/bot/signal/prediction/{id}

> Get prediction signal bot by ID

```json
{"openapi":"3.0.0","info":{"title":"Sigrex API","version":"2.1.0"},"tags":[{"name":"prediction-bot"}],"servers":[{"url":"https://api.sigrex.io"}],"security":[{"ApiKey":[],"Signature":[],"Timestamp":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"api-key","description":"Your public API key"}},"schemas":{"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/api/v2/bot/signal/prediction/{id}":{"get":{"summary":"Get prediction signal bot by ID","tags":["prediction-bot"],"parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Prediction signal bot data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PredictionSignalBot"}}}},"400":{"description":"Missing bot ID","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Bot not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## PUT /api/v2/bot/signal/prediction/{id}

> Update prediction signal bot

```json
{"openapi":"3.0.0","info":{"title":"Sigrex API","version":"2.1.0"},"tags":[{"name":"prediction-bot"}],"servers":[{"url":"https://api.sigrex.io"}],"security":[{"ApiKey":[],"Signature":[],"Timestamp":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"api-key","description":"Your public API key"}},"schemas":{"UpdatePredictionSignalBotRequest":{"type":"object","required":["webhook_id","api_id","slug_from_signal","amount_from_signal"],"properties":{"name":{"type":"string","description":"The name of the bot max 255 characters"},"folder_id":{"type":"number","description":"The folder id of the bot"},"webhook_id":{"type":"number","description":"The id of a bot webhook"},"api_id":{"type":"number","description":"The id of a bot Prediction API key"},"slug_from_signal":{"type":"boolean","description":"Set to true to specify a market slug dynamically within the signal payload."},"url":{"type":"string","description":"The market url (required if slug_from_signal is false)"},"amount_from_signal":{"type":"boolean","description":"Set if amount is coming from signal"},"amount":{"type":"number","description":"The amount of the bot in USDC (if amount_from_signal is false)"},"delay":{"type":"number","description":"Set how often the bot will check for new signals. eg. 10 means 10 in 1 second"}}},"SuccessResponse":{"type":"object","properties":{"message":{"type":"string"}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/api/v2/bot/signal/prediction/{id}":{"put":{"summary":"Update prediction signal bot","tags":["prediction-bot"],"parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdatePredictionSignalBotRequest"}}}},"responses":{"200":{"description":"Bot updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}},"400":{"description":"Missing required fields or invalid data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Bot, API key, or webhook not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## DELETE /api/v2/bot/signal/prediction/{id}

> Delete prediction signal bot

```json
{"openapi":"3.0.0","info":{"title":"Sigrex API","version":"2.1.0"},"tags":[{"name":"prediction-bot"}],"servers":[{"url":"https://api.sigrex.io"}],"security":[{"ApiKey":[],"Signature":[],"Timestamp":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"api-key","description":"Your public API key"}},"schemas":{"SuccessResponse":{"type":"object","properties":{"message":{"type":"string"}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/api/v2/bot/signal/prediction/{id}":{"delete":{"summary":"Delete prediction signal bot","tags":["prediction-bot"],"parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Bot deleted successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}},"400":{"description":"Missing bot ID","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Bot not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## PUT /api/v2/bot/signal/prediction/{id}/status

> Update prediction signal bot status

```json
{"openapi":"3.0.0","info":{"title":"Sigrex API","version":"2.1.0"},"tags":[{"name":"prediction-bot"}],"servers":[{"url":"https://api.sigrex.io"}],"security":[{"ApiKey":[],"Signature":[],"Timestamp":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"api-key","description":"Your public API key"}},"schemas":{"UpdateStatusRequest":{"type":"object","required":["status"],"properties":{"status":{"type":"string","enum":["ACTIVE","INACTIVE"]}}},"SuccessResponse":{"type":"object","properties":{"message":{"type":"string"}}},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/api/v2/bot/signal/prediction/{id}/status":{"put":{"summary":"Update prediction signal bot status","tags":["prediction-bot"],"parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateStatusRequest"}}}},"responses":{"200":{"description":"Status updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}}},"400":{"description":"Missing bot ID, invalid status, or limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"402":{"description":"Bot limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Bot not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## POST /api/v2/bot/signal/prediction/duplicate

> Duplicate a prediction signal bot

```json
{"openapi":"3.0.0","info":{"title":"Sigrex API","version":"2.1.0"},"tags":[{"name":"prediction-bot"}],"servers":[{"url":"https://api.sigrex.io"}],"security":[{"ApiKey":[],"Signature":[],"Timestamp":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"api-key","description":"Your public API key"}},"schemas":{"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/api/v2/bot/signal/prediction/duplicate":{"post":{"summary":"Duplicate a prediction signal bot","tags":["prediction-bot"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["id"],"properties":{"id":{"type":"string","description":"Bot ID to duplicate"}}}}}},"responses":{"201":{"description":"Bot duplicated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PredictionSignalBot"}}}},"400":{"description":"Missing bot ID, bot not found, or limit exceeded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Bot or webhook not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sigrex.io/api-reference/reference/signal-bots/prediction-bot.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
